﻿Yata = LibStub("AceAddon-3.0"):NewAddon("Yata", "AceConsole-3.0", "AceEvent-3.0", "LibBars-1.0")
local L = LibStub("AceLocale-3.0"):GetLocale("Yata")
local LibKeyBound = LibStub("LibKeyBound-1.0")
local defaults = {
	profile = {
		BarScale = 1.0,
		BarOrientation = 1,		
		ButtonGap = 0,
		VisibleButtons = 1,
		AutoButtonSwap = true,
		Locked = true,
		ShowTooltip = true,
		TimerEnabled = true,
		ButtonSkin = "Blizzard",
		TimerBarSkin = "Blizzard",
		ButtonCooldown = false,
	},
};

function Yata:OnInitialize()
    -- Called when the addon is loaded
	self.db = LibStub("AceDB-3.0"):New("YataDB", defaults)
	LibStub("AceConfig-3.0"):RegisterOptionsTable("Yata", self:PopulateOptions(), {"yatacmd"})
	self:RegisterChatCommand("yata", function() LibStub("AceConfigDialog-3.0"):Open("Yata") end)	
end

function Yata:OnEnable()
	LibKeyBound.RegisterCallback(self, "LIBKEYBOUND_ENABLED")
	LibKeyBound.RegisterCallback(self, "LIBKEYBOUND_DISABLED")
	LibKeyBound.RegisterCallback(self, "LIBKEYBOUND_MODE_COLOR_CHANGED")
	self:TotemsInit()
	self:CreateTotemBar()					
	self:InitTimer()
	self:LoadBarConfig()
end

function Yata:OnDisable()
    -- Called when the addon is disabled
end
